本文整理汇总了C#中Rhino.Geometry.Curve.ToPolyline方法的典型用法代码示例。如果您正苦于以下问题:C# Curve.ToPolyline方法的具体用法?C# Curve.ToPolyline怎么用?C# Curve.ToPolyline使用的例子?那么恭喜您, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在类Rhino.Geometry.Curve
的用法示例。
在下文中一共展示了Curve.ToPolyline方法的1个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C#代码示例。
示例1: SilkwormSegment
public SilkwormSegment(Curve curve, int mainSegmentCount, int subSegmentCount, double maxAngleRadians, double maxChordLengthRatio, double maxAspectRatio, double tolerance, double minEdgeLength, double maxEdgeLength, bool keepStartPoint)
{
if (curve != null)
{
//See if curve can be represented as a polyline already
if (curve.TryGetPolyline(out Pline))
{
PolylineCurve plinecurve = new PolylineCurve(Pline);
//Segments = plinecurve.DuplicateSegments().ToList();
Segments = DuplicateSegments(plinecurve);
}
//Try to see if conversion will work
if (curve.ToPolyline(mainSegmentCount, subSegmentCount, maxAngleRadians, maxChordLengthRatio, maxAspectRatio, tolerance, minEdgeLength, maxEdgeLength, keepStartPoint) != null)
{
//Convert
PolylineCurve plinec = curve.ToPolyline(mainSegmentCount, subSegmentCount, maxAngleRadians, maxChordLengthRatio, maxAspectRatio, tolerance, minEdgeLength, maxEdgeLength, keepStartPoint);
if (plinec.TryGetPolyline(out Pline))
{
PolylineCurve plinecurve = new PolylineCurve(Pline);
//Segments = plinecurve.DuplicateSegments().ToList();
Segments = DuplicateSegments(plinecurve);
}
}
}
}